%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:       google-drive-ocamlfuse
Version:    0.7.32
Release:    %mkrel 1
License:    BSD-2-Clause
Summary:    FUSE filesystem for Google Drive
Group:      Networking/Remote access
Url:        https://forge.ocamlcore.org/projects/gdfuse/
Source0:    https://github.com/astrada/google-drive-ocamlfuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml >= 4.04.0
BuildRequires:  ocaml-dune-devel
BuildRequires:  ocamlfuse-devel >= 2.7.1-14
BuildRequires:  gapi-ocaml-devel >= 0.4.2
BuildRequires:  ocaml-sqlite3-devel
BuildRequires:  ocaml-cryptokit-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-tiny_httpd-devel
BuildRequires:  ocaml-seq-devel
BuildRequires:  ocaml-yojson-devel
BuildRequires:  ocaml-biniou-devel
BuildRequires:  ocaml-easy-format-devel
BuildRequires:  opam
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(fuse)

%description
google-drive-ocamlfuse is a FUSE-based file system backed by Google Drive,
written in OCaml. It lets you mount your Google Drive on Linux.

On the first time, just run google-drive-ocamlfuse, which will open a
browser for authentication. If that process succeeds, it will print
"Access token retrieved correctly.". Now run google-drive-ocamlfuse
with an empty directory supplied, which is the mount point for your Google
Drive. You can optionally unmount with fusermount -u mount-point.

Further documentation is available here:

  https://github.com/astrada/google-drive-ocamlfuse/wiki


%prep
%autosetup

%build
%dune_build

%install
%dune_install

%files -f .ofiles -f .ofiles-devel
%doc README.md doc/
%license LICENSE


%changelog
* Mon Jun 23 2025 daviddavid <daviddavid> 0.7.32-1.mga10
+ Revision: 2194221
- new version: 0.7.32

* Wed Jan 11 2023 daviddavid <daviddavid> 0.7.30-1.mga9
+ Revision: 1932235
- new version: 0.7.30
- now build depend on ocaml-tiny_httpd

* Tue Jan 10 2023 daviddavid <daviddavid> 0.7.27-1.mga9
+ Revision: 1932194
- new version: 0.7.27

* Tue Jan 10 2023 daviddavid <daviddavid> 0.7.26-1.mga9
+ Revision: 1932184
- new version: 0.7.26
- Mageia 9 Mass Rebuild

* Thu Feb 27 2020 daviddavid <daviddavid> 0.7.2-3.mga8
+ Revision: 1550902
- switch to ocaml-dune
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Mar 11 2019 daviddavid <daviddavid> 0.7.2-2.mga7
+ Revision: 1374238
- switch to sqlite3

* Sun Feb 17 2019 joequant <joequant> 0.7.2-1.mga7
+ Revision: 1367889
- update to 0.7.2

* Sun Sep 23 2018 umeabot <umeabot> 0.6.25-2.mga7
+ Revision: 1298034
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 joequant <joequant> 0.6.25-1.mga7
+ Revision: 1213985
- update to 0.6.25

* Fri Jan 05 2018 tv <tv> 0.6.22-1.mga7
+ Revision: 1190540
- BR ocaml-ounit-devel
- new release
- BR ocaml-ocamlbuild$

* Sun Nov 05 2017 joequant <joequant> 0.6.21-1.mga7
+ Revision: 1176035
- upgrade to 0.9.21

* Fri Oct 13 2017 daviddavid <daviddavid> 0.6.19-2.mga7
+ Revision: 1171493
- rebuild for fixed ocaml (use standard ISO C99 types {u}uint{32,64}_t)

* Wed May 03 2017 joequant <joequant> 0.6.19-1.mga6
+ Revision: 1098780
- upgrade to 0.6.19

* Wed Feb 01 2017 joequant <joequant> 0.6.16-1.mga6
+ Revision: 1084452
- upgrade to 0.6.16

* Sun Oct 23 2016 joequant <joequant> 0.5.24-1.mga6
+ Revision: 1063276
- imported package google-drive-ocamlfuse

